From 8097cfbbf0cd5c287873518397c77fd4b75e0c7a Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 14:18:07 -0700
Subject: 01_fix_history_path

Patch-Name: 01_fix_history_path.patch
---
 twill/shell.py | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/twill/shell.py b/twill/shell.py
index b6dd0a2..7a77053 100644
--- a/twill/shell.py
+++ b/twill/shell.py
@@ -102,10 +102,17 @@ class TwillCommandLoop(Singleton, cmd.Cmd):
         # initialize a new local namespace.
         namespaces.new_local_dict()
 
+        # The history file name is located in the home directory of
+        # the user
+        import os
+        self._history_file = os.environ.has_key("HOME") and \
+            os.path.join(os.environ["HOME"], ".twill_history") or \
+            None
+
         # import readline history, if available.
-        if readline:
+        if self._history_file and readline:
             try:
-                readline.read_history_file('.twill-history')
+                readline.read_history_file(self._history_file)
             except IOError:
                 pass
 
@@ -236,8 +243,8 @@ class TwillCommandLoop(Singleton, cmd.Cmd):
 
     def do_EOF(self, *args):
         "Exit on CTRL-D"
-        if readline:
-            readline.write_history_file('.twill-history')
+        if self._history_file and readline:
+            readline.write_history_file(self._history_file)
             
         raise SystemExit()
 
